# Spec file for PPerl Perl module
Name: perl-PPerl
Version: 0.25
Release: alt2.1

Summary: make perl scripts persistent in memory
Summary(ru_RU.UTF-8): позволяет скриптам на perl оставаться скомпилированными в памяти

License: Perl license
Group: Development/Perl
URL: http://search.cpan.org/~msergeant/PPerl/

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

%define real_name PPerl
Source: http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/%real_name-%version.tar.gz
Patch0: PPerl-0.25-alt-djbish.patch
Patch1: PPerl-0.25-alt-umask.patch
Patch2: PPerl-0.25-alt-Makefile.patch
Patch3: PPerl-0.25-pperl_euid.patch
Patch4: pperl-0.25-64bit.patch
Patch5: PPerl-0.25-misc_fix.patch
Patch6: PPerl-0.25-alt-logfile_help.patch
Patch7: PPerl-0.25-alt-test14.patch

AutoReqProv: perl, yes

# Automatically added by buildreq on Wed Aug 08 2007
BuildRequires: libdb4-devel libgdbm-devel perl-DBM perl-devel

%description
PPerl  turns ordinary perl  scripts into long running daemons, 
making subsequent  executions extremely fast. It forks several 
processes for each script, allowing many processes to call the 
script at once.

The easiest way to use it is to change your shebang line from
"#!/usr/bin/perl -w" to use pperl instead:
"#!/usr/bin/pperl -w".
    
Like other persistent environments, this one has problems 
with things like BEGIN blocks, global variables, etc. 

%description -l ru_RU.UTF-8
PPerl превращает обычные Perl-скрипты в остающихся в памяти демонов,
предотвращая  необходимость  их компиляции при повторном выполнении.
PPerl  создает несколько  одинаковых процессов для каждого  скрипта,
позволяя разным программам вызывать скрипт одновременно.

Самый простой способ использования PPerl заключается в замене первой
строки скриптов с "#!/usr/bin/perl -w" на "#!/usr/bin/pperl -w".

Как и другие аналогичные решения, PPerl имеет проблемы, связанные 
с использованием блоков BEGIN, глобальных переменных и т.п.
В-основном предназначен для ускорения работы CGI-приложений, 
являясь лёгкой и простой альтернативой mod_perl.

%prep
%setup -q -n %real_name-%version
%patch0
%patch1
%patch2
%patch3
%patch4 -p1
%patch5
%patch6
%patch7
# Tests used deprecated in 5.12 goto operator
rm t/06exit_die.t
rm t/09taint.t
rm t/10tie.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes TODO

%_bindir/pperl

%perl_vendor_autolib/PPerl*
%perl_vendor_archlib/PPerl*

%changelog
* Sat Nov 06 2010 Vladimir Lettiev <crux@altlinux.ru> 0.25-alt2.1
- rebuilt with perl 5.12

* Thu Jul 16 2009 Nikolay A. Fetisov <naf@altlinux.ru> 0.25-alt2
- Fix build with perl-5.8.9-alt3

* Thu Aug 09 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.25-alt1
- Initial build for ALT Linux Sisyphus

* Wed Aug 08 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.25-alt0
- Rebuild on current Sisyphus
- Adding current patches from rt.cpan.org

* Mon Jan 10 2005 Nikolay A. Fetisov <naf@naf.net.ru> 0.25-naf1
- First build

